#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-JSON
Version		:	4.10
Release		:	17.0.10.rel%{?dist}
Summary		:	Parse and convert to JSON (JavaScript Object Notation)
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/JSON

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Provides	:	perl(JSON::backportPP::Boolean)
#-----------------------------------------------------------------------------
%description
This module is a thin wrapper for JSON::XS-compatible modules with
a few additional features. All the backend modules convert a Perl
data structure to a JSON text as of RFC4627 (which we know is
obsolete but we still stick to; see below for an option to support
part of RFC7159) and vice versa. This module uses JSON::XS by
default, and when JSON::XS is not available, this module falls
back on JSON::PP, which is in the Perl core since 5.14. If
JSON::PP is not available either, this module then falls back on
JSON::backportPP (which is actually JSON::PP in a different .pm
file) bundled in the same distribution as this module. You can
also explicitly specify to use Cpanel::JSON::XS, a fork of
JSON::XS by Reini Urban.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README Changes
%{_datadir}/perl5/core_perl/%{sname}.pm
%{_datadir}/perl5/core_perl/%{sname}/*.pm
%{_datadir}/perl5/core_perl/%{sname}/backportPP/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

#export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
make test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#-----------------------------------------------------------------------------
%changelog

